cURL
curl -X POST https://api.aiql.io/sources \
-H "Authorization: Bearer $AIQL_API_KEY" \
-H "AiQL-Workspace: $AIQL_WORKSPACE_ID"{
"id": "<string>",
"filename": "<string>",
"url": "<string>",
"title": "<string>",
"summary": "<string>",
"pages_count": 0,
"chunks_count": 0,
"classes_count": 0,
"object_properties_count": 0,
"data_properties_count": 0,
"nodes_count": 0,
"relationships_count": 0,
"created_at": "2023-11-07T05:31:56Z"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Sources
Create Source
POST
/
sources
cURL
curl -X POST https://api.aiql.io/sources \
-H "Authorization: Bearer $AIQL_API_KEY" \
-H "AiQL-Workspace: $AIQL_WORKSPACE_ID"{
"id": "<string>",
"filename": "<string>",
"url": "<string>",
"title": "<string>",
"summary": "<string>",
"pages_count": 0,
"chunks_count": 0,
"classes_count": 0,
"object_properties_count": 0,
"data_properties_count": 0,
"nodes_count": 0,
"relationships_count": 0,
"created_at": "2023-11-07T05:31:56Z"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
API key or UI session JWT passed as a Bearer token.
Headers
ID of the workspace the request operates on.
Body
application/json
Response
Successful Response